2008-07-12  Love Hörnquist Åstrand  <lha@kth.se>

	* rkpty.c: Always print output for status.

2008-04-27  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* getaddrinfo-test.c: drop )

	* Makefile.am: Add rkpty.

	* rkpty.c: More includes.

	* rkpty.c: Add timeout, add password command, add diffrent
	verbosity levels.

2008-04-26  Love Hörnquist Åstrand  <lha@it.su.se>

	* rkpty.c: pty testing application

2008-04-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c: Use unsigned where appropriate.

2008-02-23  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: make AM_CPPFLAGS +=

2008-02-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: Use AM_CPPFLAGS instead, not really right, but
	definatly better then CPPFLAGS. Thanks to Mike Whitton for
	pointing this out.

2008-01-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: add missing files.

2007-08-09  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* strftime.c: rewrite str[pf]time for testing.

	* strptime.c: rewrite str[pf]time for testing.

	* Makefile.am: add TEST_STRPFTIME
	
2007-07-17  Love Hörnquist Åstrand  <lha@it.su.se>

	* ndbm_wrap.c (dbm_get): set dsize to 0 on failure.

	* Makefile.am: add ndbm_wrap.[ch] to EXTRA_DIST

	* ndbm_wrap.c (dbm_fetch): set dsize to 0 on failure.

2007-07-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket_wrapper.c: Implement swrap_dup too.

	* socket_wrapper.c: Add dup(dummy stub) and dup2(real).

	* socket_wrapper.h: Add dup(dummy stub) and dup2(real).

2007-07-10  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: New library version.

2007-06-19  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken_gethostby.c: set proxy_port to 0 to pacify BEAM.

2007-06-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* use "roken.h" consitantly

2007-06-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* test-readenv.c: Free environment.

	* environment.c (free_environment): free result of
	read_environment().

	* roken-common.h (free_environment): free result of
	read_environment().
	
2007-05-10  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* fnmatch.c: Do recursive call to rk_fnmatch
	
2007-01-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c: Try harder to call res_ndestroy().
	
2006-12-27  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* Makefile.am: make sure built headers are copied to the
	${build_topdir}/include
	
2006-12-15  Love Hörnquist Åstrand  <lha@it.su.se>

	* unvis.c: Use internal version of rk_unvis

	* unvis.c: Always include rk_versions.

	* vis.c: Always include rk_versions.

	* vis.hin: Fix argument for unvis and strsvisx.
	
	* unvis.c: prefix unvis functions with rk_, and prototypes.
	
2006-12-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* vis.c: Provide some prototypes for the rk_vis functions.
	
2006-12-11  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* ifaddrs.hin: Prefix getifaddrs functions with rk_ and do symbol
	renaming.

	* fnmatch.c: Prefix fnmatch functions with rk_ and do symbol
	renaming.

	* vis.hin: Prefix strvis functions with rk_ and do symbol
	renaming.

	* vis.c: prefix strvis functions with rk_

	* Makefile.am: Install extra posix headers in <roken/...> to avoid
	dup headers.
	
2006-11-09  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket_wrapper.c (swrap_sendto): fail on to unknown si->type
	
2006-11-06  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* socket_wrapper.c: A few fixes to have Heimdal pass the make
	check under socket_wrapper. The first is a missing 'break' before
	the (heimdal specific) IPv6 support. The second works around the
	fact that sendto() *may* object to a destination being specified.
	It appears to be that on Linux, this objects (with EISCONN) for
	unix stream sockets, but not for TCP sockets. The alternate fix
	would be to have the KDC use 'send()' in this case. Andrew Bartlett.

2006-10-20  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: split dist and nondist HEADERS
	
2006-10-19  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* roken.h.in: Add timegm glue.

	* timegm.c: add timegm()
	
	* socket_wrapper.c: Include <roken.h>, gives os socklen_t on IRIX
	6.4.
	
	* socket_wrapper.c: Maybe include <sys/time.h> and/or maybe
	include <time.h>.
	
2006-10-17  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken.h.in: Revert prevois for now, the problem is that we have
	to include symbols unconditionally, even for those that just needs
	protos.

	* roken.h.in: Provide symbol renaming, let see what breaks.

	* socket_wrapper.c: Maybe include <sys/filio.h>.
	
2006-10-10  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket_wrapper.c: more consitity check, remove dead code, add
	socket length code, add missing break, make diffrent chars of type
	type files for case-insensitiv filesystems

	* socket_wrapper.c: try even hard to not use socket wrapper for
	socket_wrapper itself.

	* socket_wrapper.c: Force no socket wrapper for socket_wrapper
	itself.
	
2006-10-09  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket_wrapper.c: Maybe include <config.h>.

	* socket_wrapper.c: Protect AF_INET6 with #ifdef HAVE_IPV6.

	* socket_wrapper.c: Use a symbol for the v6 address.

	* socket_wrapper.c: Add IPv6 suppport.
	
	* socket_wrapper.[ch]: Include socket wrapper from samba4 (rev
	19179).
	
2006-10-07 Love Hörnquist Åstrand <lha@it.su.se>

	* Makefile.am: Add build_HEADERZ to EXTRA_DIST

	* Makefile.am: Add man_MANS to EXTRA_DIST

	* Makefile.am: Add to all objects BUILD_ROKEN_LIB.
	
2006-09-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken.h.in: Add samba socket wrapper fragment.

	* Makefile.am: Add samba socket wrapper fragment.
	
2006-09-05  Love Hörnquist Åstrand  <lha@it.su.se>

	* snprintf.c: reapply patch that went away in last commit
	
	* snprintf-test.c: unbreak from previous commit

	* snprintf.c: Add size_t formater (z modifer).

	* snprintf-test.c: add tests for size_t printf formater
	
2006-06-30  Love Hörnquist Åstrand  <lha@it.su.se>

	* rtbl.h: Add extern "C" for C++.

	* rtbl.c: Add rtbl_add_column_entryv functions, printf like

	* rtbl.h: Add rtbl_add_column_entryv functions, printf like
	
2006-06-22  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* glob.hin: Add extern "C" for C++. From joerg at britannica dot
	bec dot de

	* fnmatch.hin: Add extern "C" for C++. From joerg at britannica
	dot bec dot de
	
2006-04-20  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* fnmatch.hin (fnmatch): CPP rename to rk_fnmatch
	
2006-04-14  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* resolve.c (dns_srv_order): change a if (ptr == NULL) continue
	into a assert(ptr != NULL) since it could never happen, found by
	the IBM code checker (beam).  Thanks to Florian Krohm for
	explaining it.
	
2006-04-02  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken_gethostby.c (roken_gethostby): make addr_list one larger
	to avoid a off-by-one error. Found by IBM checker.

	* resolve.c: Plug memory leak found by IBM checker (and try to
	please it).
	
2006-02-06  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* resolve.c: Spelling, from Alexey Dobriyan, via Jason McIntyre
	
2006-01-13  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* getcap.c: Don't use db support unless its build into libc but we
	dont check for that now, so just disable the code. This removes
	the dependency on libdb for roken, and that is a good thing since
	it causes problem with nss plugins that uses DB3 that also
	provides the same symbol, but with a diffrent ABI. so when the
	application calls getpwnamn() and it linked to roken, it craches
	in the nss functions.
	
2006-01-09  Love Hörnquist Åstrand  <lha@it.su.se>

	* hex.c (hex_decode): support decoding odd number of characters,
	in the odd len case, the first character ends up in the first byte
	in the lower nibble.

	* hex-test.c: Check that we can decode single character hex chars.

2005-12-12  Love Hörnquist Åstrand <lha@it.su.se>

	* getifaddrs.c: Try handle HP/UX 11.nn, its diffrent from Solaris
	large SIOCGIFCONF.
	
2005-09-28  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-common.h: Move rk_UNCONST to roken.h.in since it might use
	uintptr_t depending on avaibility.

	* roken.h.in: Include <stdint.h> if it exists.  If avaiable, use
	uintptr_t to define rk_UNCONST.
	
2005-09-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-common.h: Add rk_dumpdata.
	
	* dumpdata.c: Add rk_dumpdata() that write a chunk of data into a
	file for later processing by some other tool (like asn1_print).
	
2005-09-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* strptime.c: cast to unsigned char to make sure its not negative
	when passing it to is* functions
	
2005-09-01  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket.c: Add socket_set_ipv6only.

	* roken-common.h: Add socket_set_ipv6only, remove some argument
	names.
	
2005-08-25  Love Hörnquist Åstrand  <lha@it.su.se>

	* strpool.c (rk_strpoolprintf): remove debug printf, plug memory
	leak
	
2005-08-23  Love Hörnquist Åstrand  <lha@it.su.se>

	* setprogname.c (setprogname): const poision
	
	* print_version.c: Removed, moved to libvers.

2005-08-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c (dns_lookup_int): if we have res_ndestroy, prefeer
	that before res_nclose

2005-08-12 Love Hörnquist Åstrand  <lha@it.su.se>

	* getaddrinfo-test.c: Rename optind to optidx to avoid shadowing.

2005-08-05  Love Hörnquist Åstrand  <lha@it.su.se>

	* gai_strerror.c: sprinkel more const
	
	* gai_strerror.c, roken.h.in: Make return value of gai_strerror
	const to match SUSv3.  Prompted by Stefan Metzmacher change to
	Samba.

2005-07-19  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken.h.in: Remove parameter names to avoid shadow warnings.

2005-07-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* getifaddrs.c (nl_getlist): poll to get messages from kernel, and
	retry if the message was lost
	(free_nlmsglist): free all linked elements, not just the first one

2005-07-08  Love Hörnquist Åstrand  <lha@it.su.se>

	* snprintf-test.c: Check a very simple format string
	
2005-07-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken.h.in: If we have <strings.h> include it, its needed for
	strcasecmp() on those platforms that are SUS3/iso c99 strict (like
	AIX)

	* roken-common.h: remove duplicate ;
	
2005-07-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-common.h: rk_strpoolprintf first variable identifier is 3

2005-06-30  Love Hörnquist Åstrand  <lha@it.su.se>

	* base64.h: remove variable names
	
2005-06-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-common.h: fix format attribute

	* Makefile.am (libroken_la_SOURCES): += strpool.c
	
	* roken-common.h: add strpool, a printf collector to make it
	eaiser to collect strings into one string
	
	* strpool.c: add strpool, a printf collector to make it eaiser to
	collect strings into one string

2005-06-23  Love Hörnquist Åstrand  <lha@it.su.se>

	* base64.c: Add const, from Andrew Abartlet <abartlet@samba.org>

2005-06-21  Love Hörnquist Åstrand  <lha@it.su.se>

	* strpftime-test.c: test for "%Y%m"

	* esetenv.c: unconst

	* strptime.c: Write a new parse_number function that is possible
	to limit that amount of numbers used, with this strptime can
	handle strptime("200505", "%Y%m", &tm);

2005-06-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* getaddrinfo.c: avoid shadowing sin
	
	* resolve-test.c: rename optind to optidx to avoid shadowing
	
	* strptime.c: UNCONST return value from strptime
	
	* strftime.c: rk_UNCONST argument mktime
	
	* getnameinfo.c: avoid shadowing sin
	
	* socket.c: avoid shadowing sin

	* resolve.c (parse_record): fix casting to avoid losing const
	
	* roken.awk: since we got no feedback regarding people running
	heimdal on the crays, remove the quoted # version
	
	* environment.c: rename index to idx to avoid shadowing

2005-05-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* parse_reply-test.c: avoid signedness warnings

	* test-mem.c: avoid signedness warnings

2005-05-27  Love Hörnquist Åstrand  <lha@it.su.se>

	* hex.c: include "roken.h" to avoid undefined size_t/ssize_t

2005-05-24  Dave Love  <fx@gnu.org>

	* Makefile.am (snprintf_test_SOURCES): Add snprintf-test.h.

2005-05-20  Love Hörnquist Åstrand  <lha@it.su.se>

	* environment.c (rk_read_env_file): move assignment to later to
	make pre c99 compiler happy

2005-05-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* strptime.c: use english spelling of March

2005-05-17  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: only link with dblib if we need it
	
	* Makefile.am: add test_readenv
	
	* test-readenv.c: test for read_environment()
	
	* environment.c: eliminate duplicates
	
2005-05-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* issuid.c (issuid): change the #ifdef order to avoid unreachable
	code warning.

2005-05-10  Dave Love  <fx@gnu.org>

	* roken.h.in: Get daemon declared on Solaris (it's in unistd.h but
	masked by a feature test), just to avoid a warning, since it has
	int args. Include err.h unconditionally, since it's always
	supplied.

2005-05-04  Dave Love  <fx@gnu.org>

	* snprintf-test.c: Include snprintf-test.h earlier.

2005-05-03  Dave Love  <fx@gnu.org>

	* snprintf.c: Include snprintf-test.h earlier.
	
	* test-mem.c: Add member fd to map.
	(rk_test_mem_alloc, rk_test_mem_free): Use it.

2005-04-30  Love Hörnquist Åstrand  <lha@it.su.se>

	* getifaddrs.c: add break on default: statements, from Douglas
	E. Engert

	* snprintf.c (vsnprintf): don't write the NUL into the string if
	the length was 0

	* snprintf-test.c: add check that snprintf doesn't write the NUL
	into the last byte when its a zero length input string

	* parse_time-test.c: Include <err.h>.
	
2005-04-27  Love Hörnquist Åstrand  <lha@it.su.se>

	* parse_time-test.c: improve testing
	
	* roken-common.h: add rk_realloc

	* Makefile.am: add realloc

	* realloc.c: add rk_realloc, unbroken version of realloc

2005-04-26  Dave Love  <fx@gnu.org>

	* getusershell.c: Include roken.h

2005-04-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* unvis.c: cast to unsigned char to make sure its not negative
	when passing it to is* functions

	* strptime.c: cast to unsigned char to make sure its not negative
	when passing it to to* functions

2005-04-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* simple_exec.c: don't close stderr, close all fd that is num 3
	and larger

	* simple_exec.c (pipe_execv): use closefrom

	* add closefrom

2005-04-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* add ROKEN_LIB_FUNCTION to all exported functions

2005-04-10  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve-test.c: print DS

2005-04-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* parse_time-test.c: remove unused variable
	
2005-04-04  Love Hörnquist Åstrand  <lha@it.su.se>

	* strpftime-test.c: print size_t by casting to unsigned long
	
	* base64-test.c: print size_t by casting to unsigned long
	
	* hex-test.c: print size_t by casting to unsigned long
	
	* resolve-test.c: print size_t by casting to unsigned long
	
2005-04-01  Love Hörnquist Åstrand  <lha@it.su.se>

	* snprintf-test.c (try): reset va_list argument between reuse,
	from Peter Kruty <xkruty@fi.muni.cz>

2005-03-30  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken_gethostby.c (roken_gethostby): s/sin/addr/ to avoid
	shadowing

	* resolve.c (dns_lookup_int): s/stat/state/ to avoid shadowing

	* parse_units.c: avoid shadowing div

2005-03-26  Love Hörnquist Åstrand  <lha@it.su.se>

	* snprintf.c: use defined(TEST_SNPRINTF) like on all other places
	in the same file

2005-03-21  Love Hörnquist Åstrand  <lha@it.su.se>

	* hex.c: check for overflows

2005-03-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* vis.c: use RCSID instead of __RCSID

2005-03-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: check_PROGRAMS += hex-test
	
	* hex-test.c: hex encoding/decoding test
	
	* hex.c: fix decodeing, it processed to much data and thus
	returned the wrong length

2005-03-04  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: add hex.[ch]

	* hex.c: add hex encoder/decoder

2005-03-02  Love Hörnquist Åstrand  <lha@it.su.se>

	* daemon.c fnmatch.c fnmatch.hin getcap.c getopt.c getusershell.c
	glob.c glob.hin iruserok.c unvis.c vis.hin:
	
	In 1997, the University of California, Berkeley issued a statement
	retroactively relicensing all code held under their copyright from
	a 4-clause 'traditional' BSD license to a new 3-clause 'revised'
	BSD license, which removed the advertising clause.

	From NetBSD, via Joel Baker, and Alistair G. Crooks
	
	* getaddrinfo-test.c: remove stray ( in output
	
	* vis.c: Update new revision from NetBSD (copyright update)

2005-02-24  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: bump version to 17:0:1

2005-01-19  Dave Love  <d.love@dl.ac.uk>

	* getusershell.c: Include ctype.h, cast argument to isspace to
	unsigned char.

2004-10-31  Love Hörnquist Åstrand  <lha@it.su.se>

	* parse_time.3, parse_units.c: Change the behavior of the
	parse_unit code to return the number of bytes needed to print the
	whole string (minus the trailing '\0'), just like snprintf.  Idea
	from bugreport from Gabriel Kihlman <gk@stacken.kth.se>.

	* parse_time-test.c Makefile.am test-mem.c test-mem.h: test parse_time

2004-10-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c: put dns_type_to_string and dns_string_to_type in the
	abi

	* resolve.c: add ds_record
	
	* resolve.h: add ds_record
	
2004-10-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* ndbm_wrap.c: undefine open so this works on solaris with large
	file support From netbsd's pkgsrc via Gavan Fantom
	
2004-09-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve-test.c: add --version/--help
	
2004-09-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am: make resolve-test a noinst program
	
2004-09-11  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve-test.c: test program for libroken resolve from resolve.c
	
	* Makefile.am: add resolve-test
	
	* resolve.h: add constant for max DNS protocol packet size
	
	* resolve.c (dns_lookup_int): grow the answer buffer to the size
	the server send to us if the answer buffer was too small (limited
	to the dns protocol max packet size)
	
2004-08-26  Johan Danielsson  <joda@pdc.kth.se>

	* err.hin: no need to declare __progname here

	* Makefile.am: always clean generated headers

2004-06-26  Love Hörnquist Åstrand  <lha@it.su.se>

	* rtbl.3: use .In for header, remove trailing space
	
2004-06-23  Johan Danielsson  <joda@pdc.kth.se>

	* rtbl.h: add protos and macros
	
	* rtbl.c: implement a bunch of stuff:
	  - column separator (instead of global column prefix)
	  - per column suffix
	  - indexing columns by id-number instead of column header
	  - optional header supression (via settable flags)
	  - ability to end a row
	  - don't extend last column to full width
	
2004-06-20  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.[ch]: add and use and bind9 version of rr type
	(rk_ns_t_XXX) instead of the old bind4 version (T_XXX)

2004-05-25  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c (stot): add AAAA
	
2004-02-17  Love Hörnquist Åstrand  <lha@it.su.se>

	* getarg.c (add_string): catch error from realloc
	
2004-02-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-common.h: add simple_execve_timed
	
	* roken-common.h: add timed simple_exec
	
	* simple_exec.c: add timed simple_exec
	
2004-01-05  Love Hörnquist Åstrand  <lha@it.su.se>

	* gai_strerror.c: correct ifdef for EAI_ADDRFAMILY

2003-12-14  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c: parse dns header, add support for SSHFP
	
	* resolve.h: add cpp rewrite for sshfp_record
	
	* resolve.h: add SSHFP, clean up the the dns_header
	
2003-12-14  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.h: remove HEADER (only used for crays)
	
	* resolve.c: number-of fields no longer stored in network order
	
2003-12-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolve.c: remove depency on c99 types in resolv.h
	
	* resolve.h: remove depency on c99 types
	
2003-12-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* resolv.h: add more T_ types and inline the dns headers, all this
	for bind9 resolvers

2003-12-02  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* gai_strerror.c: EAI_ADDRFAMILY and EAI_NODATA is deprecated
	
	* roken-common.h: use EAI_NONAME instead of EAI_ADDRFAMILY to
	check for if we need EAI_ macros

2003-10-04   Love Hörnquist Åstrand  <lha@it.su.se>

	* strptime.c: let t and n match zero or more whitespaces
	
2003-08-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* ndbm_wrap.c: patch for working with DB4 on heimdal-discuss
	From: Luke Howard <lukeh@PADL.COM>
	
2003-08-27  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: don't include discovered files in EXTRA_SOURCES;
	don't depend on all header files, just the built ones

2003-08-15  Johan Danielsson  <joda@pdc.kth.se>

	* emalloc.3: manpage
	
2003-07-11  Love  <lha@stacken.kth.se>

	* resolve.c: AIX have broken res_nsearch() in 5.1 (5.0 also ?)  so
	just don't use res_nsearch on AIX

2003-06-29  Johan Danielsson  <joda@pdc.kth.se>

	* snprintf.c: * don't ever print sign for unsigned conversions *
	don't break when right justifying a number past the end of the
	buffer * handle zero precision and the value zero more correctly

2003-06-14  Love  <lha@stacken.kth.se>

	* glob.hin: prefix glob symbols with rk_
	
2003-04-22  Love  <lha@stacken.kth.se>

	* resolve.c: copy NUL too, from janj@wenf.org via openbsd
	
2003-04-16  Love  <lha@stacken.kth.se>

	* parse_units.h: remove typedef for units to avoid problems with
	shadowing

	* resolve.c: use strlcpy, from openbsd
	
	* getcap.c: use strlcpy, from openbsd
	
	* getarg.3: Change .Fd #include <header.h> to .In header.h
	from Thomas Klausner <wiz@netbsd.org>

2003-04-15  Love  <lha@stacken.kth.se>

	* socket.c (socket_set_tos): if setsockopt failed with EINVAL
	failed, just ignore it, sock was probably a just a non AF_INET
	socket

2003-04-14  Love  <lha@stacken.kth.se>

	* strncasecmp.c: cast argument to toupper to unsigned char, from
	Christian Biere <christianbiere@gmx.de> via NetBSD
	
	* strlwr.c: cast argument to tolower to unsigned char, from
	Christian Biere <christianbiere@gmx.de> via NetBSD
	
	* strcasecmp.c: cast argument to toupper to unsigned char, from
	Christian Biere <christianbiere@gmx.de> via NetBSD
	
2003-03-19  Love  <lha@stacken.kth.se>

	* getarg.3: spelling, from <jmc@prioris.mini.pw.edu.pl>
	
2003-03-07  Love  <lha@stacken.kth.se>

	* parse_bytes.c: use struct units instead of units
	
	* parse_time.c: use struct units instead of units
	
2003-03-04  Love  <lha@stacken.kth.se>

	* roken.awk: use full prototype for main
	
2002-10-15  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.c: check length of txt records

2002-09-10  Johan Danielsson  <joda@pdc.kth.se>

	* roken.awk: include config.h before stdio.h (breaks with
	_FILE_OFFSET_BITS on solaris otherwise)

2002-09-09  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.c: fix res_nsearch call, but don't use it for now, AIX5
	has a broken version that trashes memory

	* roken-common.h: fix typo in previous

	* roken-common.h: change IRIX == 4 to IRIX4

2002-09-04  Assar Westerlund  <assar@kth.se>

	* getifaddrs.c: remove some warnings from the linux-portion

	* getnameinfo_verified.c (getnameinfo_verified): handle the case
	of forward but no backward DNS information, and also describe the
	desired behaviour.  from Love <lha@stacken.kth.se>

2002-09-04  Johan Danielsson  <joda@pdc.kth.se>

	* rtbl.c (rtbl_destroy): free whole table

	* resolve.c: use res_nsearch if we have it (from Larry Greenfield)

2002-09-03  Assar Westerlund  <assar@kth.se>

	* getifaddrs.c: add Linux AF_NETLINK getifaddrs from Hideaki
	YOSHIFUJI of the Usagi project
	
	* parse_reply-test.c: make this build and return 77 if there is no
	mmap

	* Makefile.am (parse_reply-test): add
	* parse_reply-test.c: add a test case for parse_reply reading past
	the given buffer
	* resolve.c (parse_reply): update the arguments to more reasonable
	types.  allow parse_reply-test to call it

2002-08-28  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.c (dns_srv_order): do alignment tricks with the random()
	state (from NetBSD)

2002-08-27  Assar Westerlund  <assar@kth.se>

	* resolve.c (parse_reply): verify the lengths (both external and
	internal) are consistent and not too long
	(dns_lookup_int): be conservative in the length sent in to to
	parse_reply

2002-08-26  Assar Westerlund  <assar@kth.se>

	* roken.h.in: add prototypes for str, unvis functions
	* resolve.h: add fallback definition for T_AAAA

2002-08-22  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: we may need a prototype for strndup

2002-08-20  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: typedef ssize_t here

	* getarg.c: don't put Ns before comma

	* resolve.c: _res might not be available

	* localtime_r.c: include stdio.h and roken.h

	* strftime.c: only use altzone if we have it

	* roken-common.h: AI_NUMERICHOST needs special handling

	* strlcat.c: add some consistency checks

	* strlcpy.c: make the logic simpler, and handle dst_sz == 0

2002-08-19  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.h: prefix these functions to avoid conflicts with other
	packages

2002-08-14  Johan Danielsson  <joda@pdc.kth.se>

	* strsep_copy.c: don't write to buf if len == 0

2002-05-31  Assar Westerlund  <assar@pdc.kth.se>

	* Makefile.am: *_LDADD: add LDADD, so that libroken is used

2002-05-17  Johan Danielsson  <joda@pdc.kth.se>

	* xdbm.h: remove old dbm part

2002-04-30  Johan Danielsson  <joda@pdc.kth.se>

	* ndbm_wrap.{c,h}: ndbm wrapper for newer db libraries

2002-04-18  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: move mini_inetd protos to after addrinfo definition

	* snprintf.c (append_number): make rep const

	* getarg.h: rename optind and optarg to avoid some gcc warnings

	* getarg.c: rename optind and optarg to avoid some gcc warnings

2002-02-18  Johan Danielsson  <joda@pdc.kth.se>

	* mini_inetd.c: mini_inetd_addrinfo that takes an addrinfo instead
	of a port number

2001-11-30  Assar Westerlund  <assar@sics.se>

	* getifaddrs.c: support SIOCGLIFCONF and SIOCGLIFFLAGS which are
	used on Solaris 8 to retrieve addresses larger than `struct
	sockaddr'.  From Magnus Ahltorp <ahltorp@nada.kth.se> (with some
	modifications by me)

2001-10-27  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): set version to 15:0:6

2001-10-22  Assar Westerlund  <assar@sics.se>

	* localtime_r.c: add

2001-10-02  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.c (dns_srv_order): don't try to return a value

2001-09-24  Johan Danielsson  <joda@pdc.kth.se>

	* snprintf.c: va_{start,end} fixes; from Thomas Klausner

2001-09-20  Assar Westerlund  <assar@sics.se>

	* resolve.c (dns_srv_order): make sure of not reading after the
	array

2001-09-17  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): bump to 14:4:5
	* snprintf.c: rename 'struct state' -> 'struct snprintf_test' to
	avoid collision with resolv.h on aix

2001-09-04  Assar Westerlund  <assar@sics.se>

	* parse_bytes-test.c, parse_bytes.c, parse_bytes.h, parse_units.c,
	parse_units.h: use int instead of size_t as return values to be
	compatible with snprintf

	* strftime.c (strftime): check for return values from snprintf() <
	0

2001-09-03  Johan Danielsson  <joda@pdc.kth.se>

	* socket.c: restrict is a keyword

2001-09-03  Assar Westerlund  <assar@sics.se>

	* write_pid.c: handle atexit or on_exit

	* Makefile.am (EXTRA_libroken_la_SOURCES): add vis.hin to help
	solaris make

2001-08-30  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: use LDADD directly

2001-08-28  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): set to 14:3:5

	* issuid.c (issuid): call issetugid if it exists

2001-08-24  Assar Westerlund  <assar@sics.se>

	* Makefile.am: make it play better with recent automake

2001-08-21  Assar Westerlund  <assar@sics.se>

	* glob.c: provide a fallback for ARG_MAX.  from <tol@stacken.kth.se>

	* roken.h.in: remove all winsock.h
	for now, it does more harm than good under cygwin and if it should be
	used, the correct conditional needs to be found
	from <tol@stacken.kth.se>

2001-08-17  Johan Danielsson  <joda@pdc.kth.se>

	* getaddrinfo.c: include a definition of in6addr_loopback if it
	doesn't exist

2001-08-10  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): update to 14:2:5

2001-08-08  Assar Westerlund  <assar@sics.se>

	* hstrerror.c: move h_errno to its own file (h_errno.c)

2001-08-04  Assar Westerlund  <assar@sics.se>

	* Makefile.am: add getarg.3

2001-08-01  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (mini_inetd): explicitly use PF_UNSPEC.  be more
	resilient to bind/listen failing.

2001-07-31  Assar Westerlund  <assar@sics.se>

	* getifaddrs.c (getifaddrs2): remove unused variables

2001-07-31  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): update version to 14:1:5

2001-07-23  Assar Westerlund  <assar@sics.se>

	* getarg.c (arg_match_long): fix parsing of arg_counter optional
	argument

2001-07-19  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): bump version to 14:0:5
	
2001-07-17  Assar Westerlund  <assar@sics.se>

	* snprintf-test.h: add a file with renaming of the snprintf
	functions, to be used for running the tests

2001-07-11  Assar Westerlund  <assar@sics.se>

	* snprintf-test.c: add more %X tests, and long and conditional
	long long tests
	* snprintf.c: add support for printing long long (if available)

2001-07-10  Assar Westerlund  <assar@sics.se>

	* getaddrinfo.c (add_hostent): adapt to const hostent_find_fqdn
	* hostent_find_fqdn.c (hostent_find_fqdn): const-ize

2001-07-09  Assar Westerlund  <assar@sics.se>

	* roken-common.h (hostent_find_fqdn): add
	* hostent_find_fqdn.c: separate out hostent_find_fqdn

	* warnerr.c: move out getprogname, setprogname

2001-07-03  Assar Westerlund  <assar@sics.se>

	* warnerr.c (setprogname): add const cast
	* vis.c (SVIS): add some (unsigned char) before calling isfoo*
	* Makefile.am (libroken_la_LDFLAGS:) set version to 13:0:4

	* Makefile.am: add snprintf_test
	* snprintf.c: rewrite so that it does not stop as soon as there
	are no more characters to print, we need to figure out how long
	the string would have to be.  this also fixes snprintf(NULL, 0

2001-06-21  Assar Westerlund  <assar@sics.se>

	* simple_exec.c (pipe_execv): remove unused variable

2001-06-20  Johan Danielsson  <joda@pdc.kth.se>

	* getdtablesize.c: fix typo in obviously never used sysctl case

	* simple_exec.c: rename check_status to wait_for_process, and
	export it; function pipe_execv similar to popen, but with more
	control over input and output

	* roken-common.h: prototypes for wait_for_process and pipe_execv

2001-06-17  Assar Westerlund  <assar@sics.se>

	* roken-common.h: move emalloc et al to roken.h.in
	* Makefile.am: make emalloc,ecalloc,erealloc,estrdup conditional
	* emalloc.c, erealloc.c, estrup.c: use errx, since errno might not
	be set reliably
	* ecalloc.c: add for symmetry

2001-06-09  Johan Danielsson  <joda@pdc.kth.se>

	* resolve.c: dns_srv_order to order srv records

2001-06-08  Johan Danielsson  <joda@pdc.kth.se>

	* getarg.c: Grog tries to figure out if to use mdoc.old instead of
	mdoc by looking at some macros that were only present in the old
	version, and by looking at the number of .Oo's present. In
	mdoc.old .Oo was a toggle, but in mdoc it's closed by .Oc, so if
	the number of .Oo's is bigger than the number of .Oc's, it figures
	it must be mdoc.old. This doesn't however account for called Oc's,
	and thus grog thinks that valid pages are mdoc.old when they
	infact are mdoc. So let's make sure that Oc's are not called by
	other macros.

2001-05-29  Assar Westerlund  <assar@sics.se>

	* base64-test.c (main): initialize numerr

2001-05-28  Johan Danielsson  <joda@pdc.kth.se>

	* base64.c: clean up the decode mess somewhat

	* base64-test.c: base64 tests

2001-05-18  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: just use standard C types with bswap*

	* bswap.c: just use standard C types

2001-05-17  Assar Westerlund  <assar@sics.se>

	* roken.h.in: include all the headers that AC_GROK_TYPES tries for
	finding u_int17_t et al

	* Makefile.am: bump version to 12:0:3
	* roken.h.in: re-add set_progname and get_progname for backwards
	compatability
	* warnerr.c: re-add set_progname and get_progname for backwards
	compatability

2001-05-12  Assar Westerlund  <assar@sics.se>

	* glob.c: add limits.h, from <shadow@dementia.org>

2001-05-11  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: bswap.c
	
	* bswap.c: bswap{16,32}
	
2001-05-08  Assar Westerlund  <assar@sics.se>

	* freeaddrinfo.c (freeaddrinfo): also free every `struct
	addrinfo'.  from <tmartin@mirapoint.com>

2001-04-25  Assar Westerlund  <assar@sics.se>

	* getarg.h (free_getarg_strings): add prototype
	* getarg.c (free_getarg_strings): add function

2001-04-21  Johan Danielsson  <joda@pdc.kth.se>

	* getarg.c: pack short flag options togther, to shorten the usage
	string

2001-04-17  Johan Danielsson  <joda@pdc.kth.se>

	* getifaddrs.c (getifaddrs2): close socket when done

2001-03-26  Johan Danielsson  <joda@pdc.kth.se>

	* roken.awk: END has to be last with Sun's awk

2001-03-26  Assar Westerlund  <assar@sics.se>

	* parse_units.c (parse_something): do not check the return value
	from strtod, it might return != 0.0 when the string has no digits.
	just testing if it consumed any characters is enough and more
	resilient
	* glob.c: add GLOB_LIMIT (from NetBSD)

2001-02-20  Assar Westerlund  <assar@sics.se>

	* warnerr.c (warnerr): do not use __progname
	* roken.h.in (setprogname, getprogname): add prototypes
	* warnerr.c (setprogname, getprogname): rename to. change all
	callers
	
2001-02-12  Assar Westerlund  <assar@sics.se>

	* getnameinfo_verified.c (getnameinfo_verified): do the first
	getnameinfo with NI_NUMERICSERV to avoid the error that bind 8.2.3
	reports on not finding the service
	(ENI_NOSERVNAME).  reported by Ake Sandgren <ake@cs.umu.se>

2001-02-09  Assar Westerlund  <assar@sics.se>

	* getnameinfo.c (doit): call inet_ntop with correct af, noted by
	Ake Sandgren <ake@cs.umu.se>

2001-02-08  Assar Westerlund  <assar@sics.se>

	* getnameinfo_verified.c (getnameinfo_verified): always capture
	the service from getnameinfo so it can be sent back to getaddrinfo
	and set socktype to avoid getaddrinfo not returning any addresses

2001-01-30  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): bump version to 11:1:2
	* print_version.c (print_version): add 2001

2001-01-29  Assar Westerlund  <assar@sics.se>

	* getifaddrs.c (getifaddrs2): copy the entire sockaddr

	* roken-common.h (_PATH_BSHELL): add

2001-01-27  Assar Westerlund  <assar@sics.se>

	* roken.h.in: move __attribute__ to roken-common.h

	* esetenv.c (esetenv): cast to handle a setenv that takes a `char
 	* which is the case on Unicos

2000-12-29  Assar Westerlund  <assar@sics.se>

	* Makefile.am (EXTRA_libroken_la_SOURCES): ifaddrs.h ->
	ifaddrs.hin

2000-12-25  Assar Westerlund  <assar@sics.se>

	* getarg.c (print_arg): add a case for arg_strings

2000-12-15  Johan Danielsson  <joda@pdc.kth.se>

	* snprintf.c (append_string): handle NULL strings by printing
	`(null)'

2000-12-12  Johan Danielsson  <joda@pdc.kth.se>

	* roken-common.h: add c++ externs

	* roken.h.in: fix last commit differently

2000-12-11  Assar Westerlund  <assar@sics.se>

	* err.hin (warnerr): remove, it's not part of the err.h interface
	* roken-common.h (warnerr): moved here from err.hin
	* Makefile.am (libroken_la_LDFLAGS): set version to 11:0:2
	* vis.c: s/u_int32_t/unsigned/ for systems that do not define
	u_int32_t

2000-12-10  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: rename some headers to avoid conflict with possible
	system headers

2000-12-06  Johan Danielsson  <joda@pdc.kth.se>

	* vis.c: make sure _DIAGASSERT is defined

	* unvis.c: make sure _DIAGASSERT is defined

	* Makefile.am: unvis.c, and vis.h

	* vis.h: vis.h from NetBSD

	* unvis.c: unvis from NetBSD

	* roken.h.in: cleanup previous

	* roken-common.h: make `extern "C"' into a macro, this make emacs
	much happier

	* vis.c: strvis implementation from NetBSD

	* roken.h.in: add prototypes for strvis*

2000-12-05  Johan Danielsson  <joda@pdc.kth.se>

	* ifaddrs.h: fix freeifaddrs prototype, and add ifa_broadaddr
	macro

	* getifaddrs.c: free some memory

2000-12-04  Johan Danielsson  <joda@pdc.kth.se>

	* ifaddrs.h: getifaddrs implementation using SIOCGIFCONFIG etc

	* getifaddrs.c: getifaddrs implementation using SIOCGIFCONFIG etc

2000-10-08  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (mini_inetd): check that fds are not too large to
	select on

2000-09-24  Assar Westerlund  <assar@sics.se>

	*  esetenv.c: new file/function

2000-08-16  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 10:0:1

2000-08-10  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (accept_it): type-correctness on parameters to
	accept

2000-08-07  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: add proto compat for getsockname

2000-08-04  Johan Danielsson  <joda@pdc.kth.se>

	* write_pid.c: conditionalise pidfile

	* write_pid.c: add pidfile function

2000-07-25  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: bump version to 9:0:0

	* warnerr.c: add get_progname

2000-07-24  Assar Westerlund  <assar@sics.se>

	* getaddrinfo.c (add_hostent): if there's no fqdn in `he' try
	reverse resolving to see if there's a fuller name there.  don't
	use just-freed memory

2000-07-22  Assar Westerlund  <assar@sics.se>

	* xdbm.h: do not define ndbm functions in terms of dbm functions
	if we're using db

2000-07-20  Assar Westerlund  <assar@sics.se>

	* rtbl.c (rtbl_format): avoid printing an empty row at the end

2000-07-19  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: make this compatible with `make dist'

	* Makefile.am: revert version number for now

2000-07-18  Johan Danielsson  <joda@pdc.kth.se>

	* configure.in: AM_PROG_LIBTOOL -> AC_PROG_LIBTOOL

2000-07-17  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am: set ACLOCAL_AMFLAGS

2000-07-15  Johan Danielsson  <joda@pdc.kth.se>

	* getaddrinfo_hostspec.c: add new function that takes socktype
	hint as parameter

2000-07-09  Assar Westerlund  <assar@sics.se>

	* rtbl.c (rtbl_add_column): initialize `col' completely

	* configure.in: bring headers and functions more in-line with
	what's actually being used

2000-07-08  Johan Danielsson  <joda@pdc.kth.se>

	* roken.h.in: declare ether_addr and sockaddr_dl for AIX

	* rtbl.{c,h}: simple table functions

2000-07-08  Assar Westerlund  <assar@sics.se>

	* configure.in (AM_INIT_AUTOMAKE): bump version to 10
	* configure.in (AC_BROKEN): add strsep_copy
	* Makefile.am (ACLOCAL): fetch files from cf

2000-07-01  Assar Westerlund  <assar@sics.se>

	* roken-common.h (pid_file_*): fix protos

2000-06-28  Assar Westerlund  <assar@sics.se>

	* getnameinfo_verified.c (getnameinfo_verified): free memory
	returned from getaddrinfo

2000-06-27  Assar Westerlund  <assar@sics.se>

	* resolve.c: export string_to_type and type_to_string
	* resolve.c: add key,sig,cert update test-program
	* resolve.h: add key,sig,cert

2000-06-21  Assar Westerlund  <assar@sics.se>

	* resolve.h: add T_SIG, T_KEY
	* resolve.c: add SIG and KEY
	* Makefile.am (libroken_la_SOURCES): add environment.c and
	write_pid.c

	* write_pid.c: new file for writing a pid file.

	* environment.c: new file with functionality for reading
	/etc/environment.  From Ake Sandgren <ake@cs.umu.se>

2000-06-12  Johan Danielsson  <joda@pdc.kth.se>

	* strsep_copy.c: strsep, but with const stringp so returns string
	in separate buffer

2000-05-23  Assar Westerlund  <assar@sics.se>

	* vsyslog.c (vsyslog): calculate length of new format string
	correctly

2000-05-22  Johan Danielsson  <joda@pdc.kth.se>

	* getusershell.c: implment the AIX version use
	/etc/security/login.cfg

2000-05-21  Assar Westerlund  <assar@sics.se>

	* vsyslog.c (vsyslog): actually handle `%m'

2000-05-15  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): set version to 8:1:3

	* roken-common.h: moved __attribute__ to roken.h.in

2000-04-14  Assar Westerlund  <assar@sics.se>

	* getaddrinfo_hostspec.c (roken_getaddrinfo_hostspec): copy the
	correct length from `hostspec'.  based on a patch from Love
	<lha@s3.kth.se>

2000-04-09  Assar Westerlund  <assar@sics.se>

	* xdbm.h: only include one of db.h and the dbm-series

2000-04-05  Assar Westerlund  <assar@sics.se>

	* resolve.c (_resolve_debug): explicitly set to zero.  this moves
	the variable from bss to data and the dynamic linker on MacOS
	X/Darwin seems unhappy with stuff in the bss segment.

2000-04-03  Assar Westerlund  <assar@sics.se>

	* Makefile.am: set version to 8:0:3

2000-03-11  Assar Westerlund  <assar@sics.se>

	* roken.h.in (_SS_PAD1SIZE): try to write an inpenetrable
	expression that also works on Crays

2000-03-09  Assar Westerlund  <assar@sics.se>

	* getarg.c (arg_match_short): backup optind when there's a missing
	argument so that the error can point at the flag and not the
	non-existant argument

2000-03-03  Assar Westerlund  <assar@sics.se>

	* Makefile.in (SOURCES): add timeval.c
	* Makefile.am (libroken_la_SOURCES): add timeval.c
	* timeval.c: new file

2000-02-19  Assar Westerlund  <assar@sics.se>

	* Makefile.am: set version to 7:1:2
	
2000-02-16  Assar Westerlund  <assar@sics.se>

	* snprintf.c (PARSE_INT_FORMAT): note that shorts are actually
	transmitted as ints
	(according to the integer protomotion rules) in variable arguments
	lists.  Therefore, we should not call va_arg with short but rather
	with int.  See <http://www.debian.org/Bugs/db/57/57919.html> for
	original bug report

2000-02-13  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 7:0:2

	* getarg.c (mandoc_template): also fix no- prefix in .Sh OPTIONS
	* getarg.c (mandoc_template): better man-stuff for negative
	options

2000-02-07  Assar Westerlund  <assar@sics.se>

	* Makefile.am: set version to 6:0:1

2000-02-06  Assar Westerlund  <assar@sics.se>

	* xdbm.h: hopefully catch a few more declarations by including
	<ndbm.h> even if <db.h> was found

2000-01-26  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (mini_inetd): separate number of allocated sockets
	and number of actual ones
	* mini_inetd.c (mini_inetd): count sockets properly.  and fail if
	we cannot bind any
	* mini_inetd.c (mini_inetd): make failing to create a socket
	non-fatal

2000-01-09  Assar Westerlund  <assar@sics.se>

 	* Makefile.am(libroken_la_SOURCES): add strcollect.c
	* Makefile.in: add strcollect.[co]
	* simple_exec.c: use vstrcollect
	* roken-common.h (_PATH_DEV): add
	(strcollect, vstrcollect): add prototypes
	* strcollect.c: new file.  functions for collapsing an `va_list'
	into an `char **'

2000-01-06  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 5:0:0

1999-12-30  Assar Westerlund  <assar@sics.se>

	* Makefile.am (strpftime_test_SOURCES): correct source file name

	* roken.h.in (sockaddr_storage): change padding so that we have
 	one char[] of pad and then an unsigned long[] (for alignment and
 	padding).  this works much better in practice.

1999-12-22  Assar Westerlund  <assar@sics.se>

	* roken.h.in (sockaddr_storage): drop leading underscore on
 	`public' fields.  this was the consensus on the ipng mailing list

1999-12-21  Assar Westerlund  <assar@sics.se>

	* Makefile.am (strpftime-test): define sources to avoid having
 	'.o'
	* Makefile.am (print_version.h): use $(EXEEXT)
	* Makefile.am (roken.h): add $(EXEEXT) to make this work on cygwin
 	et al

1999-12-20  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): bump version to 4:3:0

	* getaddrinfo.c (get_nodes): use getipnodebyname instead of
	gethostbyname(2)

1999-12-16  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_LDFLAGS): bump version to 4:2:0

	* roken.h.in (struct sockaddr_storage): redefine with the example
 	code from rfc2553

	* getaddrinfo.c (get_null): set loopback with correct endianess
	for v4.  dunno about v6.

1999-12-13  Assar Westerlund  <assar@sics.se>

	* roken.h.in: add prototypes for str[pf]time

	* signal.c: macosx = rhapsody ~= nextstep also can't handle
 	various definitions of the same symbol.

1999-12-12  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 4:1:0

1999-12-06  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 4:0:0

1999-12-05  Assar Westerlund  <assar@sics.se>

	* Makefile.in: replace inaddr2str with getnameinfo_verified

	* roken-common.h (INADDR_LOOPBACK): add fallback definition

	* roken-common.h: move getnameinfo_verified to roken.h.in
	* roken.h.in (inaddr2str): remove
	* Makefile.am (libroken_la_SOURCES); removed inaddr2str
	* roken-common.h (getnameinfo_verified): add prototype
	* getnameinfo_verified.c: new file

1999-12-04  Assar Westerlund  <assar@sics.se>

	* roken-common.h: add constants for getaddrinfo, getnameinfo
	* roken.h.in (socklen_t): make independent of sockaddr_storage
	(AI_*, NI_*, EAI_*): move to roken-common.h

1999-12-03  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (mini_inted): rewrite to use `getaddrinfo'
	* getaddrinfo.c (const_v*): no sizeof(sizeof())
	* getaddrinfo.c (add_hostent): search for the canonical name among
	all aliases
	(getaddrinfo): handle AI_NUMERICHOST correctly
	* Makefile.am (EXTRA_libroken_la_SOURCES): add freeaddinfo,
	getaddrinfo, getnameinfo, gai_strerror
	(getaddrinfo_test): add
	* Makefile.in (SOURCES): add freeaddinfo, getaddrinfo,
	getnameinfo, gai_strerror
	(getaddrinfo_test): add
	* roken.h.in: arpa/inet.h: include
	(socklen_t): add
	(struct addrinfo): add
	(EAI_*): add
	(NI_*): add
	(AI_*): add
	(getaddrinfo, getnameinfo, freeaddrinfo, gai_strerror): add
	* getnameinfo.c: new file
	* getaddrinfo-test.c: new file
	* gai_strerror.c: new file
	* getaddrinfo.c: new file
	* freeaddrinfo.c: new file

1999-11-25  Assar Westerlund  <assar@sics.se>

	* getopt.c (getopt): return -1 instead of EOF.  From
	<art@stacken.kth.se>

1999-11-13  Assar Westerlund  <assar@sics.se>

	* strftime.c (strftime): handle `%z' and `%Z' in a tm_gmtoff-less
	world

	* getcap.c: make sure to use db only if we have both the library
	and the header file
	
1999-11-12  Assar Westerlund  <assar@sics.se>

	* getarg.h: add arg_counter
	* getarg.c: add a new type of argument: `arg_counter' re-organize
	the code somewhat
	
	* Makefile.am: add strptime and strpftime-test
	
	* snprintf.c (xyzprintf): try to do the right thing with an % at
	the end of the format string
	
	* strptime.c (strptime): implement '%U', '%V', '%W'
	* strftime.c (strftime): implement '%U', '%V', '%W', '%z'
	
	* strftime.c (strftime): correct %E and %O handling.  do something
 	reasonable with "...%"

	* strftime.c: replace the BSD implementation by one of our own
	coding

	* strptime.c : new file
	* strpftime-test.c: new file

1999-11-07  Assar Westerlund  <assar@sics.se>

	* parse_bytes-test.c: new file

	* Makefile.am: add parse_bytes-test

	* parse_units.c (parse_something): try to handle the case of no
 	value specified a little bit better

1999-11-04  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 3:2:0

1999-10-30  Assar Westerlund  <assar@sics.se>

	* snprintf.c (PARSE_INT_FORMAT): add redundant casts to work
 	around a gcc-bug that manifests itself on Linux-PPC.  From Tom
 	Rini <trini@kernel.crashing.org>

1999-10-28  Assar Westerlund  <assar@sics.se>

	* Makefile.am: bump version to 3:1:0

	* roken.h.in: use `unsigned char' instead of `u_int8_t' to avoid
 	having to have that definition.  this is the easy way out instead
 	of getting the definition here where it's needed.  flame me.

Fri Oct 22 15:39:31 1999  Bjoern Groenvall  <bg@sics.se>

	* k_getpwuid.c (k_getpwuid): getspuid() does not exist (even
 	though it should), use getspnam().

1999-10-20  Assar Westerlund  <assar@sics.se>

	* Makefile.am: set version to 3:0:0

1999-10-18  Johan Danielsson  <joda@pdc.kth.se>

	* getarg.3: document arg_collect

	* getarg.c: change the way arg_collect works; it's still quite
	horrible though

	* getarg.h: change type of the collect function

1999-10-17  Assar Westerlund  <assar@sics.se>

	* xdbm.h: undo last commit

	* xdbm.h: reorder db includes

1999-10-10  Assar Westerlund  <assar@sics.se>

	* socket.c: const-ize and comment

	* net_write.c: const-ize

	* base64.c: const-ize

1999-10-06  Assar Westerlund  <assar@sics.se>

	* getarg.c (getarg): also set optind when returning error

1999-09-26  Assar Westerlund  <assar@sics.se>

	* Makefile.am: add parse_bytes.[ch]

1999-09-24  Johan Danielsson  <joda@pdc.kth.se>

	* getarg.3: getarg manpage

	* getarg.{c,h}: add a callback type to do more complicated processing

	* getarg.{c,h}: add floating point support

1999-09-16  Assar Westerlund  <assar@sics.se>

	* strlcat.c (strlcat): call strlcpy

	* strlcpy.c: update name and prototype

	* strlcat.c: update name and prototype

	* roken.h.in: rename strc{py,at}_truncate to strlc{py,at}

	* Makefile.am: rename strc{py,at}_truncate -> strlc{py,at}

	* Makefile.in: rename strc{py,at}_truncate -> strlc{py,at}

 	* strcpy_truncate.c (strcpy_truncate): change return value to be
 	the length of `src'

1999-08-16  Assar Westerlund  <assar@sics.se>

	* getcap.c: try to make this work on systems with DB

1999-08-16  Johan Danielsson  <joda@pdc.kth.se>

	* getcap.c: protect from db-less systems

1999-08-09  Johan Danielsson  <joda@pdc.kth.se>

	* simple_exec.c: add simple_exec{ve,le}

	* getcap.c: getcap from NetBSD

1999-08-06  Assar Westerlund  <assar@sics.se>

	* roken.h.in (sockaddr_storage): cater for those that have
 	v6-support also

1999-08-05  Assar Westerlund  <assar@sics.se>

	* inet_ntop.c (inet_ntop_v4): remember to call ntohl

1999-08-04  Assar Westerlund  <assar@sics.se>

	* roken-common.h: add shutdown constants

	* mini_inetd.c (listen_v4, listen_v6): handle the case of the
 	protocol not being supported

1999-08-01  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (socket_set_reuseaddr): remove duplicate

1999-07-29  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c (mini_inetd): fix my stupid bugs

1999-07-28  Assar Westerlund  <assar@sics.se>

	* roken-common.h: add socket* functions

	* Makefile.am (libroken_la_SOURCES): add socket.c

	* socket.c: new file, originally from appl/ftp/common

	* Makefile.am: set version to 2:0:2

	* roken.h.in (inet_pton): add prototype

	* Makefile.am (EXTRA_libroken_la_SOURCES): add inet_pton

	* inet_pton.c: new file

	* getipnodebyname.c (getipnodebyname): try gethostbyname2 if we
 	have it

1999-07-27  Assar Westerlund  <assar@sics.se>

	* mini_inetd.c: support IPv6

1999-07-26  Assar Westerlund  <assar@sics.se>

	* Makefile.am: set version to 1:0:1

	* roken.h.in (inet_ntop): add prototype

 	* roken-common.h: (INET{,6}_ADDRSTRLEN): add

	* inet_ntop.c: new file

	* Makefile.am (EXTRA_libroken_la_SOURCES): add inet_ntop.c

	* Makefile.am: move some files from libroken_la_SOURCES to
 	EXTRA_libroken_la_SOURCES

	* snprintf.c: some signed vs unsigned casts
	
1999-07-24  Assar Westerlund  <assar@sics.se>

	* roken.h.in (struct sockaddr_storage): define it needed

1999-07-19  Assar Westerlund  <assar@sics.se>

	* Makefile.am (libroken_la_SOURCES): add copyhostent.c,
 	freehostent.c, getipnodebyname.c, getipnodebyaddr.c
	
	* roken.h.in: <netdb.h>: include
	(copyhostent, freehostent, getipnodebyname, getipnodebyaddr): add
	prototypes

	* roken-common.h: new constants for getipnodeby*

	* Makefile.in (SOURCES): add freehostent, copyhostent,
 	getipnodebyname, getipnodebyaddr

	* freehostent.c: new file

	* copyhostent.c: new file

	* getipnodebyaddr.c: new file

	* getipnodebyname.c: new file

1999-07-13  Assar Westerlund  <assar@sics.se>

	* roken.h.in (k_getpwnam): update prototype

	* k_getpwnam.c (k_getpwnam): const-ize

	* get_default_username.c (get_default_username): a better way of
 	guessing when the user has su:ed

1999-07-08  Johan Danielsson  <joda@pdc.kth.se>

	* roken.awk: use puts, as suggested by Jeffrey Hutzelman
	<jhutz+@cmu.edu>

1999-07-06  Assar Westerlund  <assar@sics.se>

	* readv.c (readv): typo

1999-07-03  Assar Westerlund  <assar@sics.se>

	* writev.c (writev): error check malloc properly

	* sendmsg.c (sendmsg): error check malloc properly

	* resolve.c (parse_reply): error check malloc properly

	* recvmsg.c (recvmsg): error check malloc properly

	* readv.c (readv): error check malloc properly

1999-06-23  Assar Westerlund  <assar@sics.se>

	* parse_units.c (acc_units): move the special case of 0 -> 1 to
 	parse_something to avoid having it happen at the end of the string

1999-06-15  Assar Westerlund  <assar@sics.se>

	* Makefile.in: add get_default_username

	* get_default_username.c: new file

	* roken.h.in (get_default_username): add prototype

	* Makefile.am: add get_default_username

1999-05-08  Assar Westerlund  <assar@sics.se>

	* xdbm.h: also try <db.h> with DB_DBM_HSEARCH == 1

	* strnlen.c (strnlen): update prototype

	* Makefile.am: strndup.c: add

	* Makefile.in: strndup.c: add

	* roken.h.in (strndup): add
	(strnlen): update prototype

	* strndup.c: new file

Fri Apr 16 17:59:30 1999  Assar Westerlund  <assar@sics.se>

	* roken.h.in: include strsep prototype if needed

Thu Apr 15 14:04:03 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: make make-print-version.o depend on version.h

Wed Apr  7 14:11:00 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: make it compile w/o krb4

Sat Mar 27 17:33:03 1999  Johan Danielsson  <joda@blubb.pdc.kth.se>

	* snprintf.c (vasnprintf): correct check if realloc returns NULL

Sat Mar 27 12:37:55 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: link print_version with -ldes to avoid unresolved
 	references if -lkrb is shared

Sat Mar 20 03:42:30 1999  Assar Westerlund  <assar@sics.se>

	* roken-common.h (eread, ewrite): add

	* simple_exec.c: add <roken.h>

Fri Mar 19 21:29:58 1999  Assar Westerlund  <assar@sics.se>

	* Makefile.in: add eread, ewrite

	* eread.c, ewrite.c: new files

	* Makefile.am (libroken_la_SOURCES): add eread and ewrite

Fri Mar 19 14:52:57 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: add version-info

Thu Mar 18 12:53:32 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am: remove include_dir hack

	* Makefile.am: parse_units.h

	* Makefile.am: include Makefile.am.common

Sat Mar 13 23:31:35 1999  Assar Westerlund  <assar@sics.se>

	* Makefile.in (SOURCES): add glob.c

Thu Mar 11 15:02:21 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* iruserok.c: move innetgr() to separate file

	* innetgr.c: move innetgr() to separate file

	* hstrerror.c (hstrerror): add const to return type

	* erealloc.c: fix types in format string

	* emalloc.c: fix types in format string

Wed Mar 10 16:36:55 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* resolve.c: ugly fix for crays

Mon Mar  8 11:52:20 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* roken.h.in: protos for {un,}setenv

1999-02-16  Assar Westerlund  <assar@sics.se>

	* Makefile.in (SOURCES): add fnmatch

	* roken-common.h (abs): add

Sat Feb 13 17:12:53 1999  Assar Westerlund  <assar@sics.se>

	* emalloc.c, erealloc.c, estrup.c: new files

	* roken.h.in (mkstemp, gethostname): also includes prototypes if
 	they are needed.

1998-12-23  Assar Westerlund  <assar@sics.se>

	* roken.h.in: mkstemp: add prototype

1998-12-20  Assar Westerlund  <assar@sics.se>

	* snprintf.c, iruserok.c, parse-units.c: unsigned char-correctness

	* roken.h.in (inet_aton): also chedk NEED_INET_ATON_PROTO

	* roken-common.h: __attribute__: check for autoconf'd
	HAVE___ATTRIBUTE__ instead of GNUC

Sun Dec  6 19:53:21 1998  Assar Westerlund  <assar@sics.se>

	* parse_units.c (parse_something): func is called with val == 0 if
 	no unit was given
	(acc_flags, acc_units): update to new standard

Fri Nov 27 03:09:42 1998  Assar Westerlund  <assar@sics.se>

	* resolve.c (stot): constify
	(type_to_string): always declare
	(dns_lookup_int): correct debug output

Thu Nov 26 23:43:55 1998  Assar Westerlund  <assar@sics.se>

	* resolve.c (dns_lookup_int): send rr_class to res_search

Thu Nov 26 17:09:47 1998  Johan Danielsson  <joda@hella.pdc.kth.se>

	* resolve.c: some cleanup

	* resolve.h: add T_NAPTR

Sun Nov 22 10:23:07 1998  Assar Westerlund  <assar@sics.se>

	* Makefile.in (WFLAGS): set

	* k_getpwnam.c (k_getpwnam): check for `struct spwd'

	* k_getpwuid.c (k_getpwuid): check for `struct spwd'

Tue Sep  8 05:18:31 1998  Assar Westerlund  <assar@sics.se>

	* recvmsg.c (recvmsg): patch from bpreece@unity.ncsu.edu

Fri Sep  4 16:29:27 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* vsyslog.c: asprintf -> vasprintf

Tue Aug 18 22:25:52 1998  Assar Westerlund  <assar@sics.se>

	* getarg.h (arg_printusage): new signature

	* getarg.c (arg_printusage): new parameter `progname'.  NULL means
 	__progname.

Sun Aug  9 14:53:44 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* Makefile.am: net_{read,write}.c

Fri Jul 24 21:56:02 1998  Assar Westerlund  <assar@sics.se>

	* simple_exec.c (simple_execvp): loop around waitpid when errno ==
 	EINTR

Thu Jul 23 20:24:35 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* Makefile.am: net_{read,write}.c

Wed Jul 22 21:38:35 1998  Assar Westerlund  <assar@sics.se>

	* simple_exec.c (simple_execlp): initialize `argv'

Mon Jul 13 23:01:22 1998  Assar Westerlund  <assar@sics.se>

	* inaddr2str.c (inaddr2str): don't advance hostent->h_addr_list,
 	use a copy instead

Fri Jul 10 01:20:08 1998  Assar Westerlund  <assar@sics.se>

	* roken.h.in (net_write, net_read): add prototypes

	* Makefile.in: net_{read,write}.c: add

	* net_{read,write}.c: new files

Tue Jun 30 17:29:09 1998  Assar Westerlund  <assar@sics.se>

	* roken.h.in (issuid): add

	* get_window_size.c: fix misspelling of TIOCGWINSZ and bad use of
 	fields

Sun May 31 03:24:34 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c (mandoc_template): Put short and long options in
 	SYNOPSIS within the same [ ] pair.

Sat May 30 00:13:01 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c (arg_printusage): try to keep options shorter than
 	column width

	* get_window_size.c (get_window_size): check COLUMNS and LINES

Fri May 29 00:05:04 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c (mandoc_template): Put short and long options in
 	DESCRIPTION on the same line.

	* getarg.c (arg_match_long): make sure you only get an exact match
 	if the strings are the same length

Thu May 14 02:23:40 1998  Assar Westerlund  <assar@sics.se>

	* roken.awk: stupid cray awk wants \#

Fri May  1 01:29:36 1998  Assar Westerlund  <assar@sics.se>

	* print_version.c (print_version): according to ISO/ANSI C the
 	elements of `arg' are not constant and therefore not settable at
 	compile-time.  Set the at run-time instead.

Sun Apr 19 10:00:06 1998  Assar Westerlund  <assar@sics.se>

	* roken.h.in: include paths.h

Sun Apr  5 12:30:49 1998  Assar Westerlund  <assar@sics.se>

	* Makefile.in (SOURCES): add roken_gethostby.c to make solaris
 	make happy

Thu Mar 19 20:41:25 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* simple_exec.c: Simple fork+exec system() replacement.

Fri Mar  6 00:21:53 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* roken_gethostby.c: Make `roken_gethostby_setup' take URL-like
 	specification instead of split up versions. Makes it easier for
 	calling applications.

	* roken_gethostby.c: Another miracle of the 20th century:
 	gethostby* over HTTP.

Sat Feb 21 15:18:36 1998  assar westerlund  <assar@sics.se>

	* parse_time.c (unparse_time_approx): new function that calls
 	`unparse_units_approx'

	* parse_units.c (unparse_units_approx): new function that will
 	only print the first unit.

	* Makefile.in: include parse_{time,units}

Thu Feb 12 03:30:08 1998  Assar Westerlund  <assar@sics.se>

	* parse_time.c (print_time_table): don't return a void value.

Tue Feb  3 11:06:24 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c (mandoc_template): Change date format to full month
 	name, and day of month without leading zero.

Thu Jan 22 21:23:23 1998  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c: Fix long form of negative flags.

Mon Dec 29 23:31:10 1997  Johan Danielsson  <joda@emma.pdc.kth.se>

	* roken.h.in: Include <err.h>, to get linux __progname.

Sun Dec 21 09:45:18 1997  Assar Westerlund  <assar@sics.se>

	* parse_time.c (print_time_table): new function

	* parse_units.c (print_flags_table, print_units_table): new
 	functions.

Thu Dec  4 02:51:46 1997  Assar Westerlund  <assar@sics.se>

	* iruserok.c: moved here.

	* snprintf.c (sn_append_char): don't write any terminating zero.
	(as_reserve): don't loop.  better heuristic for how much space to
 	realloc.
	(vasnprintf): simplify initializing to one.

Sun Nov 30 14:56:59 1997  Johan Danielsson  <joda@emma.pdc.kth.se>

	* getarg.c: Add mandoc help back-end to getarg.

Wed Nov 12 01:09:17 1997  Johan Danielsson  <joda@emma.pdc.kth.se>

	* verr.c, verrx.c: Fix warnings by moving exit from.

Tue Nov 11 21:12:09 1997  Johan Danielsson  <joda@emma.pdc.kth.se>

	* parse_units.c: Change the list of separating characters (between
 	units) to comma, space, and tab, removing digits. Having digits in
 	this list makes a flag like `T42 generate a parse error. This
 	change makes `17m3s' an invalid time-spec (you need a space).

Tue Nov 11 02:38:44 1997  Assar Westerlund  <assar@sics.se>

	* roken.h: add <sys/socket.h>

Sun Nov  9 04:48:46 1997  Johan Danielsson  <joda@emma.pdc.kth.se>

	* fnmatch.c: Add fnmatch from NetBSD

Sun Nov  9 02:00:08 1997  Assar Westerlund  <assar@sics.se>

	* parse_units.c (parse_something): ignore white-space and ','

Mon Nov  3 22:38:32 1997  Assar Westerlund  <assar@sics.se>
	
	* roken.h: fclose prototype

	* roken.h: add prototype for vsyslog

	* Makefile.in: add some more source files to make soriasis make
 	happy

Sat Nov  1 00:19:21 1997  Assar Westerlund  <assar@sics.se>

	* roken.h: include <sys/uio.h> and <errno.h>.
	prototypes for readv and writev

	* readv.c, writev.c: new files

Wed Oct 29 02:21:38 1997  Assar Westerlund  <assar@sics.se>

	* roken.h: Add ugly macros for openlog, gethostbyname,
 	gethostbyaddr, and getservbyname for the benefit of Crays.  Add
 	default definition of MAXPATHLEN
